%define rhnroot %{_prefix}/share/rhn

Name:		spacewalk-utils
Version:	1.2.1
Release:	18%{?dist}
Summary:	Utilities that may be run against a Spacewalk server.

Group:		Applications/Internet
License:	GPLv2
URL:		https://fedorahosted.org/spacewalk
Source0:	https://fedorahosted.org/releases/s/p/spacewalk/%{name}-%{version}.tar.gz
Patch0: spacewalk-utils-1.2.1-1-to-spacewalk-utils-1.2.1-2-sat.patch
Patch1: spacewalk-utils-1.2.1-2-sat-to-spacewalk-utils-1.2.1-3-sat.patch
Patch2: spacewalk-utils-1.2.1-3-sat-to-spacewalk-utils-1.2.1-4-sat.patch
Patch3: spacewalk-utils-1.2.1-4-sat-to-spacewalk-utils-1.2.1-5-sat.patch
Patch4: spacewalk-utils-1.2.1-5-sat-to-spacewalk-utils-1.2.1-6-sat.patch
Patch5: spacewalk-utils-1.2.1-6-sat-to-spacewalk-utils-1.2.1-7-sat.patch
Patch6: spacewalk-utils-1.2.1-7-sat-to-spacewalk-utils-1.2.1-8-sat.patch
Patch7: spacewalk-utils-1.2.1-8-sat-to-spacewalk-utils-1.2.1-9-sat.patch
Patch8: spacewalk-utils-1.2.1-9-sat-to-spacewalk-utils-1.2.1-10-sat.patch
Patch9: spacewalk-utils-1.2.1-10-sat-to-spacewalk-utils-1.2.1-11-sat.patch
Patch10: spacewalk-utils-1.2.1-11-sat-to-spacewalk-utils-1.2.1-12-sat.patch
Patch11: spacewalk-utils-1.2.1-12-sat-to-spacewalk-utils-1.2.1-13-sat.patch
Patch12: spacewalk-utils-1.2.1-13-sat-to-spacewalk-utils-1.2.1-14-sat.patch
Patch13: spacewalk-utils-1.2.1-14-sat-to-spacewalk-utils-1.2.1-15-sat.patch
Patch14: spacewalk-utils-1.2.1-15-sat-to-spacewalk-utils-1.2.1-16-sat.patch
Patch15: spacewalk-utils-1.2.1-16-sat-to-spacewalk-utils-1.2.1-17-sat.patch
Patch16: spacewalk-utils-1.2.1-17-sat-to-spacewalk-utils-1.2.1-18-sat.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  /usr/bin/docbook2man
BuildRequires:  docbook-utils
BuildRequires:  python

Requires:       bash
Requires:       cobbler
Requires:       coreutils
Requires:       initscripts
Requires:       iproute
Requires:       net-tools
Requires:       /usr/bin/sqlplus
Requires:       perl-Satcon
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       python, rpm-python
Requires:       rhnlib >= 2.5.20
Requires:       rpm
Requires:       setup
Requires:       spacewalk-admin
Requires:       spacewalk-certs-tools
Requires:       spacewalk-config
Requires:       spacewalk-setup
Requires:       spacewalk-backend
Requires:       yum-utils
Requires:       spacewalk-java >= 1.2.39-114

%description
Generic utilities that may be run against a Spacewalk server.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1


%build
make all


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{rhnroot}
make install PREFIX=$RPM_BUILD_ROOT ROOT=%{rhnroot} \
    MANDIR=%{_mandir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%config %{_sysconfdir}/rhn/spacewalk-common-channels.ini
%attr(755,root,root) %{_bindir}/*
%dir %{rhnroot}/utils
%{rhnroot}/utils/__init__.py*
%{rhnroot}/utils/systemSnapshot.py*
%{rhnroot}/utils/migrateSystemProfile.py*
%{rhnroot}/utils/cloneByDate.py*
%{rhnroot}/utils/depsolver.py*
%{_mandir}/man8/*


%changelog
* Tue Sep 18 2012 Tomas Kasparek <tkasparek@redhat.com> 1.2.1-18
- 850506 - Truncating hours, minutes and seconds from date using date(), for
  purposes of comparing only the date of signing errata.

* Mon Jul 09 2012 Stephen Herr <sherr@redhat.com> 1.2.1-17
- 829485 - Created new asyncronous api methods for cloning errata (cherry
  picked from commit faee056b1eacf35b36d34a79c2aaaffb58c0255e)

* Fri Feb 17 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-16
- adding --skip-depsolve option, and fixing some man page
  errors

* Fri Feb 17 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-15
- fixing issue where repoclosure was not being passed all
  needed arguments

* Thu Feb 16 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-14
- fixing issue where raise was not called on an exception

* Thu Feb 16 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-13
- removing packages from remove list even if no errata are
  cloned

* Wed Feb 15 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-12
-  better error message when repodata is missing

* Wed Feb 15 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-11
- man page fix, and catching if config file does not exist

* Tue Feb 14 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-10
- errata date clone - making regular expression syntax more apparent in docs

* Tue Feb 14 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-9
- pylint fixes
- do not dep solve if no packages were added
- adding ability to specify per-channel blacklists
- fixing issue where old metadata could be reused if the
  previous run did not complete
- improving user feedback in some cases
- adding regular expression support for package exclusion
  lists
- adding auth check to make sure that login is refreshed
  before session timeout
- changing meaning of blacklist to only remove packages
  based on delta, and adding removelist to remove packages based on full
  channel contents

* Thu Feb 09 2012 Michael Mraka <michael.mraka@redhat.com> 1.2.1-8
- 591156 - fix for clone by date to use repodata dir for dep resolution

* Fri Feb 03 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-7
- adding specific release to -utils requires for spacewalk-java
  (jsherril@redhat.com)

* Fri Feb 03 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-6
- fixing a few issues with man page and adding a bit
  more user output

* Thu Feb 02 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-5
- fixing man page formatting
- fixing a few errors from pylint fixes

* Thu Feb 02 2012 Justin Sherrill <jsherril@redhat.com> 1.2.1-4
- adding spacewalk-clone-by-date

* Fri Apr 15 2011 Milan Zazrivec <mzazrivec@redhat.com> 1.2.1-3
- fix pattern bash matching

* Tue Oct 05 2010 Tomas Lestach <tlestach@redhat.com> 1.2.1-2
- 639818 - fixing sys path (tlestach@redhat.com)

* Thu Sep 09 2010 Tomas Lestach <tlestach@redhat.com> 1.2.1-1
- 599030 - check whether SSL certificate generation was successful
  (tlestach@redhat.com)
- use hostname as default value for organization unit (tlestach@redhat.com)
- enable also VPN IP (tlestach@redhat.com)
- bumping package versions for 1.2 (mzazrivec@redhat.com)

* Mon May 17 2010 Tomas Lestach <tlestach@redhat.com> 1.1.5-1
- changing package description (tlestach@redhat.com)
- do not check /etc/hosts file for actual hostname (tlestach@redhat.com)
- check for presence of bootstrap files before modifying them
  (tlestach@redhat.com)
- fixed typo (tlestach@redhat.com)
- set localhost instead of hostname to tnsnames.ora and listener.ora
  (tlestach@redhat.com)
- fixed a typo in the man page (tlestach@redhat.com)

* Tue Apr 27 2010 Tomas Lestach <tlestach@redhat.com> 1.1.4-1
- fixed Requires (tlestach@redhat.com)
- spacewalk-hostname-rename code cleanup (tlestach@redhat.com)

* Thu Apr 22 2010 Tomas Lestach <tlestach@redhat.com> 1.1.3-1
- adding requires to utils/spacewalk-utils.spec (tlestach@redhat.com)

* Wed Apr 21 2010 Tomas Lestach <tlestach@redhat.com> 1.1.2-1
- changes to spacewalk-hostname-rename script (tlestach@redhat.com)
- introducing spacewalk-hostname-rename.sh script (tlestach@redhat.com)

* Mon Apr 19 2010 Michael Mraka <michael.mraka@redhat.com> 1.1.1-1
- bumping spec files to 1.1 packages

* Thu Apr 01 2010 Miroslav Suchý <msuchy@redhat.com> 0.9.6-1
- add script delete-old-systems-interactive

* Tue Mar 16 2010 Michael Mraka <michael.mraka@redhat.com> 0.9.5-1
- added repo urls and gpg keys to spacewalk-common-channel.ini

* Mon Feb 22 2010 Michael Mraka <michael.mraka@redhat.com> 0.9.4-1
- emulate epilog in optparse on RHEL5 (python 2.4)

* Wed Feb 17 2010 Michael Mraka <michael.mraka@redhat.com> 0.9.3-1
- fixed of spacewalk-common-channels

* Mon Feb 15 2010 Michael Mraka <michael.mraka@redhat.com> 0.9.2-1
- added spacewalk-common-channels utility

* Thu Feb 04 2010 Michael Mraka <michael.mraka@redhat.com> 0.8.3-1
- updated copyrights

* Mon Feb 01 2010 Michael Mraka <michael.mraka@redhat.com> 0.8.2-1
- use rhnLockfile from rhnlib

* Tue Jan 05 2010 Michael Mraka <michael.mraka@redhat.com> 0.8.1-1
- added scr.cgi and apply_errata scripts

* Wed Nov 25 2009 Miroslav Suchý <msuchy@redhat.com> 0.7.1-1
- migration of system profile should be able to run as non root now that it can run on any client and not just satellite. (pkilambi@redhat.com)
- bumping Version to 0.7.0 (jmatthew@redhat.com)

* Wed Aug 05 2009 Jan Pazdziora 0.6.7-1
- utils: add python to BuildRequires

* Fri Jul 31 2009 Pradeep Kilambi <pkilambi@redhat.com> 0.6.6-1
- removing common module dep and adding locking to utils package.

* Wed Jul 15 2009 Miroslav Suchý <msuchy@redhat.com> 0.6.5-1
- add spacewalk-api script, which can interact with API from command line

* Mon May 11 2009 Brad Buckingham <bbuckingham@redhat.com> 0.6.4-1
- 500173 - update migrate-system-profile to import scripts from utils vs
  spacewalk_tools (bbuckingham@redhat.com)

* Sun May 03 2009 Brad Buckingham <bbuckingham@redhat.com> 0.6.3-1
- updates to include system migration scripts


* Mon Apr 27 2009 Brad Buckingham <bbuckingham@redhat.com> 0.6.2-1
- Adding migrate system profile tool to utils package

* Tue Apr 07 2009 Brad Buckingham <bbuckingham@redhat.com> 0.6.1-1
- Initial spec created to include sw-system-snapshot package
